=== debian/changelog ===
task (2.6.1+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Gordon Ball ]
  * New upstream version 2.6.1+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Thu, 21 Oct 2021 06:26:08 +0000
