## task 2.6.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 project (task)
 include (CXXSniffer)
 
-set (PROJECT_VERSION "2.6.1")
+set (PROJECT_VERSION "2.6.2")
 
 OPTION (ENABLE_WASM "Enable 'wasm' support" OFF)
