=== debian/changelog ===
task (2.6.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Adopt to new cmake version (Closes: #1113558)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Sep 2025 19:05:49 +0200

task (2.6.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch for missing include (Closes: #1097970)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Sep 2025 07:41:43 +0200

task (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6.2+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Apr 2022 12:08:00 +0000
