=== debian/control ===
Source: task
Section: utils
Priority: optional
Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Sebastien Badia <sbadia@debian.org>
Build-Depends: bash-completion,
               cmake,
               debhelper-compat (= 13),
               git <!nocheck>,
               libgnutls28-dev,
               python3 <!nocheck>,
               uuid-dev
Standards-Version: 4.6.0
Homepage: https://taskwarrior.org
Vcs-Browser: https://salsa.debian.org/tasktools-team/task
Vcs-Git: https://salsa.debian.org/tasktools-team/task.git
Rules-Requires-Root: no

Package: taskwarrior
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: feature-rich console based todo list manager
 Taskwarrior is a sophisticated command line todo list and task
 manager with a lot of features:
 .
  * colorful tabbed output
  * feature rich search function
  * tags
  * statistics
  * Getting Things Done compatible
  * interactive editing of items in text editor
