=== debian/tests/control ===
Tests: taskwarrior
Depends: taskwarrior, python3
