=== test/simpletap/CMakeLists.txt ===
configure_file(__init__.py __init__.py COPYONLY)
