=== debian/changelog ===
task (3.4.2+dfsg-3) experimental; urgency=medium

  * d/rules: skip tests on 32-bit arches
  * d/tests/control: skip tests on 32-bit arches

 -- Gordon Ball <gordon@chronitis.net>  Wed, 25 Feb 2026 11:37:37 +0000

task (3.4.2+dfsg-2) experimental; urgency=medium

  * d/watch: upgrade to version 5
  * d/rules: re-enable build-time tests
  * d/tests: fix autopkgtest; skip tests requiring test binaries

 -- Gordon Ball <gordon@chronitis.net>  Sun, 22 Feb 2026 22:37:45 +0100

task (3.4.2+dfsg-1) experimental; urgency=medium

  * New upstream version 3.4.2+dfsg (Closes: #1086300)
  * d/get-orig-source: exclude vendored corrosion
  * d/patches: rebase
  * d/rules, control, patches: handle switch to rust-based taskchampion
  * completions: install bash, fish, zsh completions with dh_shell_completions
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority
  * d/rules: temporarily skip build-time tests
  * d/tests: update for new test layout

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Feb 2026 23:27:29 +0100
