=== debian/tests/control ===
Tests: taskwarrior
Architecture: !i386 !armhf
Depends: taskwarrior, python3
Restrictions: allow-stderr
