=== debian/watch ===
Version: 5
Template: GitHub
Owner: GothenburgBitFactory
Project: taskwarrior
Uversion-Mangle: auto
Dversion-Mangle: auto
Repack: yes
Repacksuffix: +dfsg
