## task virtualthread-0.0.2

=== docs/snippets/requirements.txt ===
docutils>=0.3
